[module/nowplaying]
type = custom/script
tail = true
interval = 1
format =  <label>
exec = playerctl metadata --format "{{ artist }} - {{ title }}"

[module/battery]
type = internal/battery
battery = BAT0
adapter = ADP1
full-at = 98
low-at = 25
format-full-prefix =  
format-full = <label-charging>
format-charging-prefix =  
format-charging = <label-charging>
label-charging = %percentage:2%%
label-charging-padding = 1
format-charging-foreground = ${colors.fg}
format-discharging = <ramp-capacity> <label-discharging>
label-discharging = %percentage%%
label-discharging-padding = 1
format-discharging-foreground = ${colors.fg}
format-low = <ramp-capacity><label-discharging>
label-low-padding = 1
format-low-foreground = ${colors.red}
ramp-capacity-0 = ""
ramp-capacity-1 = ""
ramp-capacity-2 = ""
ramp-capacity-3 = ""
ramp-capacity-4 = ""
ramp-capacity-5 = ""
poll-interval = 5

[module/bspwm]
type = internal/bspwm

format = <label-state> <label-mode>
label-focused = 
label-focused-foreground = ${colors.shade-5}
label-focused-background = ${colors.shade-2}
label-focused-padding = 2
label-focused-underline= ${colors.shade-5}

label-occupied = 
label-occupied-foreground = ${colors.shade-3}
label-occupied-background = ${colors.shade-2}
label-occupied-padding = 2

label-urgent = 
label-urgent-foreground = ${colors.red}
label-urgent-background = ${colors.shade-2}
label-urgent-padding = 2

label-empty = 
label-empty-foreground = ${colors.shade-3}
label-empty-background = ${colors.shade-2}
label-empty-padding = 2

[module/date]
type = internal/date
interval = 1
time = "%a, %d. %b  %H:%M"
time-alt = %A, %d.%m.%g  %H:%M:%S

format = <label>
format-foreground = ${colors.fg}
format-padding = 1

label = %{T1}%time%%{T-}
label-padding = 1

click-right = $HOME/.config/rofi/calendar/rofi-calendar.sh

[module/pulseaudio]
type = internal/pulseaudio
use-ui-max = false
format-volume = <label-volume>
format-volume-background = ${colors.shade-2}
format-volume-prefix = " "
format-volume-prefix-foreground = ${colors.lavender}
label-volume = %{T1}%percentage%%%{T-}
label-volume-foreground = ${colors.lavender}
label-volume-padding = 1

format-muted = <label-muted>
format-muted-background = ${colors.shade-2}
format-muted-prefix = " 󰝟"
format-muted-prefix-foreground = ${colors.red}
label-muted = %{T1}%percentage%%%{T-}
label-muted-foreground = ${colors.fg-alt}
label-muted-padding = 1
click-right = $HOME/.config/rofi/volume/volume.sh

[module/session]
type = custom/text

click-left = $HOME/.config/rofi/powermenu/powermenu.sh
click-right = $HOME/.config/rofi/launcher/launcher.sh
content = %{T4}%{T-}
content-foreground = ${colors.blue}
content-padding = 1
content-font = 2

[module/screenshot]
type = custom/text
click-left = flameshot gui
content = %{T4} %{T-}
content-foreground = ${colors.fg}
content-padding = 1

[module/wlan]
type = internal/network
interface = wlan0
interval = 1.0

format-connected-prefix = 直
format-connected = <label-connected>
label-connected = "%{A1:wifimenu:}%essid%%{A}"
label-connected-foreground = ${colors.fg}
label-connected-padding = 1

format-disconnected = <label-disconnected>
format-disconnected-padding = 1
label-disconnected = %{A1:wifimenu:}睊%{A}
label-disconnected-foreground = ${colors.shade-1}
label-disconnected-padding = 1


[module/filesystem]
type = internal/fs
mount-0 = /
interval = 30
warn-percentage = 90
format-mounted-prefix = 
label-mounted = %percentage_used%%
label-mounted-padding = 1
format-warn-prefix = 
format-warn = <label-warn>
label-warn = %free%
label-warn-padding = 1
format-warn-foreground = ${colors.red}

[module/title]
type = internal/xwindow
label = %title:0:50:...%
format-prefix = "   "
format-prefix-foreground = ${colors.fg}


[module/notification-history]
type = custom/text
click-left = $HOME/.config/polybar/modules/notifications.sh
content = %{T4}%{T-}
content-foreground = ${colors.fg}
content-padding = 1
content-font = 2

[module/notifications]
type = custom/script
exec = $HOME/.config/polybar/modules/notifications-count.sh
click-left = $HOME/.config/polybar/modules/notifications-open.sh
click-right = $HOME/.config/polybar/modules/notifications-close.sh
click-middle = $HOME/.config/polybar/modules/notifications-setmode.sh
tail = true
format = <label>
label = %output:0:50:...%

[module/spotifyctl]
type = custom/script
exec = $HOME/.config/polybar/modules/polybar-playerctl.sh
click-left = playerctl --player="spotify" play
click-right = playerctl --player="spotify" pause
click-middle = playerctl --player="spotify" next
double-click-left = playerctl --player="spotify" previous

label = %output:0:50:...%

[module/spotifyctl-menu]
type = custom/menu
expand-right = true

menu-0-0 = "  "
menu-0-0-exec = killall spotify
menu-0-1 = " ﭢ "
menu-0-1-exec = playerctl --player="spotify" previous
menu-0-2 = "  "
menu-0-2-exec = playerctl --player="spotify" play
menu-0-3 = "  "
menu-0-3-exec = playerctl --player="spotify" pause
menu-0-4 = " ﭠ "
menu-0-4-exec = playerctl --player="spotify" next
menu-0-5 = "  "

label-open = "  "
label-close = ""
label-separator = " "

[module/cpu]
type = internal/cpu
interval = 0.5
format = <label>
format-foreground = ${colors.fg}
format-padding = 2
label = "﬙ %percentage:%%"

[module/memory]
type = internal/memory
label = " %percentage_used:%%"

; Seconds to sleep between updates
; Default: 1
interval = 3

; Default: 90
; New in version 3.6.0
warn-percentage = 90


[module/wireless-network]
type = internal/network
interface = wlan0
interval = 3.0
unknown-as-up = true

format-connected-foreground = ${colors.lavender}
format-connected-background = ${colors.shade-2}
format-connected-padding = 2
format-connected = %{A1:$HOME/rofi/network-manager/rofi-network-manager.sh:}<ramp-signal> <label-connected>%{A}
label-connected = %essid%
format-disconnected-foreground = ${colors.lavender}
format-disconnected-padding = 1
format-disconnected = %{A1:$HOME/rofi/network-manager/rofi-network-manager.sh:}<label-disconnected>%{A}
label-disconnected ="󰖪"
ramp-signal-0 = "󰢿"
ramp-signal-1 = "󰢼"
ramp-signal-2 = "󰢽"
ramp-signal-3 = "󰢽"
ramp-signal-4 = "󰢾"
ramp-signal-foreground = ${colors.lavender}
ramp-signal-0-foreground = "#440000"
ramp-signal-1-foreground = "#440000"


[module/wired-network]
type = internal/network
interface = eth0
interval = 3.0
format-connected-foreground = ${colors.fg}
format-connected-padding = 1
format-connected = %{A1:$HOME/.../rofi-network-manager/rofi-network-manager.sh:}<label-connected>%{A}
label-connected =  %local_ip%
format-disconnected-foreground = ${colors.fg-alt}
format-disconnected-padding = 1
format-disconnected = %{A1:$HOME/.../rofi-network-manager/rofi-network-manager.sh:}<label-disconnected>%{A}
label-disconnected =" "


[module/bluetooth]
type = custom/script
exec = ~/.config/polybar/modules/system-bluetooth-bluetoothctl.sh
tail = true
click-left = ~/.config/rofi/bluetooth/bluetooth.sh &


[module/updates-pacman-aurhelper]
type = custom/script
exec = ~/.config/polybar/modules/updates-pacman-aurhelper.sh
interval = 600
format = <label>
format-background = ${colors.shade-2}
format-padding = 2

[module/gamemode]
type = custom/script
exec = ~/.config/polybar/modules/gamemode.sh
interval = 2
format = <label>
format-background = ${colors.shade-2}



[module/ixwindow]
type = custom/script
exec = ~/.config/polybar/modules/ixwindow/ixwindow
tail = true
label-font = 3


[module/windowlist]
type = custom/script
exec = ${env:P_BSPWM_WINDOW_CMD_1}
interval = 0.1

[module/windowlist2]
type = custom/script
exec = ${env:P_BSPWM_WINDOW_CMD_2}
interval = 0.1


[module/bluetooth2]
type = custom/script
exec = ~/.config/rofi/bluetooth/bluetooth.sh --status
interval = 1
click-left = ~/.config/rofi/bluetooth/bluetooth.sh &

[module/vpn]
type = custom/script
exec = ~/.config/polybar/modules/nm-vpn.sh
interval = 5
click-left = ~/.config/rofi/nm-vpn/nm-vpn.sh &
format-background = ${colors.shade-4}

[module/rofication-status]
type = custom/script
exec = ~/.config/polybar/modules/rofication.sh
click-left = ~/.config/polybar/modules/rofication.sh --show &
format-background = ${colors.shade-4}
background = ${colors.shade-4}

[module/polywins]
type = custom/script
exec = ~/.config/polybar/modules/polywins.py $MONITOR
format = <label>
label = %output%
label-padding = 0
tail = true
format-background = ${colors.shade-2}
format-spacing = 5